Subject: RE: [bug#62375] Continue the npm-binary importer

From: Pablo Zamora <[email-masked]>
Date: Sun, 31 Mar 2024 22:03:29 +0000

Dear Jelle,

Thank you very much for your help.

I will shortly (this week) take a thorough look on your patches so I think of choosing '2)', even temporarily in order to become accustomed on how to develop a Guix importer.

Kind regards,

Pablo Zamora
________________________________
De : Jelle Licht <[email-masked]>
Envoyé : dimanche 31 mars 2024 21:57
À : Pablo Zamora <[email-masked]>; [email-masked] <[email-masked]>
Objet : Re: [bug#62375] Continue the npm-binary importer

Hi Pablo,

Pablo Zamora <[email-masked]> writes:

> Dear Guix,
>
> I am stuck while trying to define the 'bitwarden' package definition on my personal channel here https://github.com/Pablo12345678901/guix-custom-channel/blob/master/dev/my-bitwarden.scm . I am facing issues due to the npm dependencies.
>
> One of the potential solution would be this importer. I would like to finish writing it and perform the tests.

That is nice to hear! I just sent v2 of this patch addressing most of
the shortcomings that were identified earlier.

> On which branch should I send git pull request to continue what has been done so far ? This would be my first commit with guix.

I see two ways forward, depending on how much work you foresee and/or
are willing to do:

1) This patch gets through another round of review, and afterwards you
can send patches based on the 'master' branch.

2) You work on improving this patch while it is still under review, and
send a V{3,4,5} patch as a reply to this very thread.

Kind regards,
Jelle Licht